Download it now!
Bug 120873 - KDE5: Flag 'Cell protection' is removed, but cell is still protected
Summary: KDE5: Flag 'Cell protection' is removed, but cell is still protected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: KDE Cell-Sheet-Protection
  Show dependency treegraph
 
Reported: 2018-10-24 13:37 UTC by Vera Blagoveschenskaya
Modified: 2019-06-25 18:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
video (5.72 MB, video/ogg)
2018-10-24 13:38 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-24 13:37:14 UTC
Description:
Flag 'Cell protection' is removed, but cell is still protected

Steps to Reproduce:
1. LO Calc -> set up Sheet protection (default values)
2. Select one cell and try to disable Cell protection via Edit -> Cell protection
3. Get message that cell is protected
4. Look at Edit -> Cell protection again

Actual Results:
Flag 'Cell Protection' is removed

See video

Expected Results:
If it is impossible to change something, do not remove flag 'Cell protection'

---

And I have a question about Cell protection.
Seems, it is impossible to unprotect any cell while Sheet is protected ?

When Sheet protection is not enabled, flag 'Cell protection' does not work.

How to use this option?

---


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-10-24 13:38:23 UTC
Created attachment 145970 [details]
video
Comment 2 Vera Blagoveschenskaya 2018-10-24 14:39:36 UTC
(In reply to Vera from comment #0)

> And I have a question about Cell protection.
> Seems, it is impossible to unprotect any cell while Sheet is protected ?
> 
> When Sheet protection is not enabled, flag 'Cell protection' does not work.
> 
> How to use this option?
> 

I've got an answer in Telegram QA chat: 
- unprotect some cell
- protect sheet
--> cell is unprotected

I tried, it works for Version: 6.2.0.0.alpha1
Comment 3 Xisco Faulí 2018-10-24 15:37:23 UTC
reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 4 Commit Notification 2019-06-25 15:28:19 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/44250864a8252d29c87801a4530e3fe3efd01ba7%5E%21

tdf#120873 Qt5 invert checked state on trigger

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-25 18:50:05 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/f0a0dbb9907c4b125175c8c578302ceea6303ee7%5E%21

tdf#120873 Qt5 invert checked state on trigger

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.